#pragma once

#include "graph.h"


class WinGraph
{
public:
	WinGraph(HWND window);
	~WinGraph(void);
	void Draw();
	bool LoadPLA(TCHAR *path, int method, int iter);
	void Scroll(int nBar, int to, unsigned int step=1);
	void Resize(int wParam);
	void SavePs(TCHAR *path);
	void Zoom(int scale);
	bool IsWorking(){return working;};
private:
	GRAPH graph;
	int iHorzPos, iVertPos;
	bool working;
	HPEN penThen;			//pero jimz se vykresluji Then hrany
	HPEN penElse;			//pero jimz se vykresluji Else hrany
	HPEN penComp;			//pero jimz se vykresluji negovane hrany
	SCROLLINFO si;
	RECT drawRect;
	HANDLE workThread;
	HWND hWnd;
};
